Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83132 - rpm config-printer upgrade produces segmentation fault
Summary: rpm config-printer upgrade produces segmentation fault
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: rpm
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-30 16:13 UTC by Bill Glover
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-05 15:14:57 UTC


Attachments (Terms of Use)

Description Bill Glover 2003-01-30 16:13:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030120

Description of problem:
want to upgrade ... redhat-config-printer-0.6.37-1
to ... redhat-config-printer-0.6.42-1.i386.rpm

ran commands as root

rm -f /var/lib/rpm/__db*
rpm -Uvh redhat-config-printer-0.6.42-1.i386.rpm

Segementation fault.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rm -f /var/lib/rpm/__db*
2. rpm -Uvh redhat-config-printer-0.6.42-1.i386.rpm
3. Segementation fault.

just running 
    

Actual Results:  Segmentation fault

Expected Results:  upgrade of package

Additional info:
First attempt was ...
up2date -p
rpm -Uvh redhat-config-printer-0.6.42-1.i386.rpm
segmentation fault

Comment 1 Jeff Johnson 2003-01-31 16:28:31 UTC
redhat-config-printer*-0.6.43* upgrades for me, so something
else is going on.

Try doing rpm --rebuilddb -vv, and then repeat the
command with -Uvv not -Uvh, please. Attach output
here if problem persists.

Comment 2 Bill Glover 2003-02-02 23:50:34 UTC
rechecked with new install and still segmentation faults for me.

I will recheck when beta 3 comes out and see if it is still a problem. Probably
something unique to my install and system.

I have no easy way of getting any more info right now.

bill

Comment 3 Jeff Johnson 2003-02-05 15:14:57 UTC
Please reopen if problem persists.

Comment 4 Bill Glover 2003-02-05 18:07:47 UTC
I can't determine why it still segment faults. So I put the relevant files in
manually and am now using them with no apparent problem.

I will test/try again with the next beta.

bill


Note You need to log in before you can comment on or make changes to this bug.